Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Class EditableOMAbstractLine

    java.lang.Object
      com.bbn.openmap.event.MapMouseAdapter
          com.bbn.openmap.omGraphics.EditableOMGraphic
              com.bbn.openmap.omGraphics.EditableOMAbstractLine

All Implemented Interfaces:
  MapMouseListener

Direct Known Subclasses:
  EditableOMLine, EditableOMPoly

public abstract class EditableOMAbstractLine
extends EditableOMGraphic

The EditableOMAbstractLine encompasses an OMAbstractLine, providing a mechanism for adding an arrowhead menu in the line editor menu.

Field Summary
`protected javax.swing.JMenu` | `arrowheadMenu`
`protected I18n` | `i18n`

Fields inherited from class com.bbn.openmap.omGraphics.EditableOMGraphic
`actionMask, canGrabGraphic, DEBUG, DEBUG_DETAIL, gPoints, holder, lastMouseEvent, listeners, mouseModeServiceList, movingPoint, projection, showGUI, stateMachine`

Constructor Summary
`EditableOMAbstractLine()`

Method Summary
`javax.swing.ImageIcon` | `createArrowIcon(java.awt.BasicStroke stroke, int width, int height, int arrowHeadType)` Given some arrowhead parameters, create an ImageIcon that shows it.
`javax.swing.JMenu` | `getArrowHeadMenu()`
`java.awt.Component` | `getGUI(GraphicAttributes graphicAttributes)` If this EditableOMGraphic has parameters that can be manipulated that are independent of other EditableOMGraphic types, then you can provide the widgets to control those parameters here.

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMGraphic
`_getMovingPoint, addEOMGListener, attachToMovingGrabPoint, cleanMap, createGraphic, detachFromMovingGrabPoint, finalize, fireEvent, fireEvent, fireEvent, fireEvent, generate, getActionMask, getCanGrabGraphic, getGrabPoint, getGrabPoints, getGraphic, getGUI, getMouseModeServiceList, getMovingPoint, getMovingPoint, getProjection, getShowGUI, getStateMachine, handleInitialMouseEvent, modifyOMGraphicForEditRender, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseMoved, mousePressed, mouseReleased, move, redraw, redraw, redraw, regenerate, removeEOMGListener, render, repaint, repaintRender, reset, resetOMGraphicAfterEditRender, setActionMask, setCanGrabGraphic, setGrabPoint, setGrabPoints, setGrabPoints, setGraphic, setMouseModeServiceList, setMovingPoint, setProjection, setShowGUI, setStateMachine`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### arrowheadMenu

    protected javax.swing.JMenu arrowheadMenu

### i18n

    protected I18n i18n

Constructor Detail

### EditableOMAbstractLine

    public EditableOMAbstractLine()

Method Detail

### getGUI

    public java.awt.Component getGUI(GraphicAttributes graphicAttributes)

  Description copied from class: `EditableOMGraphic`
  If this EditableOMGraphic has parameters that can be manipulated that are independent of other EditableOMGraphic types, then you can provide the widgets to control those parameters here. By default, returns the GraphicAttributes GUI widgets. If you don't want a GUI to appear when a widget is being created/edited, then don't call this method from the EditableOMGraphic implementation, and return a null Component from getGUI.

  Overrides:
    `getGUI` in class `EditableOMGraphic`
  Parameters:
    `graphicAttributes` - the GraphicAttributes to use to get the GUI widget from to control those parameters for this EOMG.
  Returns:
    Component to use to control parameters for this EOMG.

### getArrowHeadMenu

    public javax.swing.JMenu getArrowHeadMenu()

### createArrowIcon

    public javax.swing.ImageIcon createArrowIcon(java.awt.BasicStroke stroke,
                                                 int width,
                                                 int height,
                                                 int arrowHeadType)

  Given some arrowhead parameters, create an ImageIcon that shows it.

  Parameters:
    `stroke` - the BasicStroke to draw on the Icon.
    `width` - the width of the icon.
    `height` - the height of the icon.
    `arrowHeadType` - -1 for no arrowhead, use the OMArrowHead directions for other versions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details